Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface ImperativeOCLFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ImperativeOCLFactoryImpl

    public interface ImperativeOCLFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ImperativeOCLPackage`

Field Summary
`static ImperativeOCLFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`AltExp` | `createAltExp()` Returns a new object of class 'Alt Exp'
`AssertExp` | `createAssertExp()` Returns a new object of class 'Assert Exp'
`AssignExp` | `createAssignExp()` Returns a new object of class 'Assign Exp'
`BlockExp` | `createBlockExp()` Returns a new object of class 'Block Exp'
`BreakExp` | `createBreakExp()` Returns a new object of class 'Break Exp'
`CatchExp` | `createCatchExp()` Returns a new object of class 'Catch Exp'
`ComputeExp` | `createComputeExp()` Returns a new object of class 'Compute Exp'
`ContinueExp` | `createContinueExp()` Returns a new object of class 'Continue Exp'
`DictionaryType` | `createDictionaryType()` Returns a new object of class 'Dictionary Type'
`DictLiteralExp` | `createDictLiteralExp()` Returns a new object of class 'Dict Literal Exp'
`DictLiteralPart` | `createDictLiteralPart()` Returns a new object of class 'Dict Literal Part'
`ForExp` | `createForExp()` Returns a new object of class 'For Exp'
`ImperativeIterateExp` | `createImperativeIterateExp()` Returns a new object of class 'Imperative Iterate Exp'
`InstantiationExp` | `createInstantiationExp()` Returns a new object of class 'Instantiation Exp'
`ListType` | `createListType()` Returns a new object of class 'List Type'
`LogExp` | `createLogExp()` Returns a new object of class 'Log Exp'
`OrderedTupleLiteralExp` | `createOrderedTupleLiteralExp()` Returns a new object of class 'Ordered Tuple Literal Exp'
`OrderedTupleLiteralPart` | `createOrderedTupleLiteralPart()` Returns a new object of class 'Ordered Tuple Literal Part'
`OrderedTupleType` | `createOrderedTupleType()` Returns a new object of class 'Ordered Tuple Type'
`RaiseExp` | `createRaiseExp()` Returns a new object of class 'Raise Exp'
`ReturnExp` | `createReturnExp()` Returns a new object of class 'Return Exp'
`SwitchExp` | `createSwitchExp()` Returns a new object of class 'Switch Exp'
`TemplateParameterType` | `createTemplateParameterType()` Returns a new object of class 'Template Parameter Type'
`TryExp` | `createTryExp()` Returns a new object of class 'Try Exp'
`Typedef` | `createTypedef()` Returns a new object of class 'Typedef'
`UnlinkExp` | `createUnlinkExp()` Returns a new object of class 'Unlink Exp'
`UnpackExp` | `createUnpackExp()` Returns a new object of class 'Unpack Exp'
`VariableInitExp` | `createVariableInitExp()` Returns a new object of class 'Variable Init Exp'
`WhileExp` | `createWhileExp()` Returns a new object of class 'While Exp'
`ImperativeOCLPackage` | `getImperativeOCLPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final ImperativeOCLFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAltExp

    AltExp createAltExp()

  Returns a new object of class 'Alt Exp'.

  Returns:
    a new object of class 'Alt Exp'.

### createAssertExp

    AssertExp createAssertExp()

  Returns a new object of class 'Assert Exp'.

  Returns:
    a new object of class 'Assert Exp'.

### createAssignExp

    AssignExp createAssignExp()

  Returns a new object of class 'Assign Exp'.

  Returns:
    a new object of class 'Assign Exp'.

### createBlockExp

    BlockExp createBlockExp()

  Returns a new object of class 'Block Exp'.

  Returns:
    a new object of class 'Block Exp'.

### createBreakExp

    BreakExp createBreakExp()

  Returns a new object of class 'Break Exp'.

  Returns:
    a new object of class 'Break Exp'.

### createCatchExp

    CatchExp createCatchExp()

  Returns a new object of class 'Catch Exp'.

  Returns:
    a new object of class 'Catch Exp'.

### createComputeExp

    ComputeExp createComputeExp()

  Returns a new object of class 'Compute Exp'.

  Returns:
    a new object of class 'Compute Exp'.

### createContinueExp

    ContinueExp createContinueExp()

  Returns a new object of class 'Continue Exp'.

  Returns:
    a new object of class 'Continue Exp'.

### createDictLiteralExp

    DictLiteralExp createDictLiteralExp()

  Returns a new object of class 'Dict Literal Exp'.

  Returns:
    a new object of class 'Dict Literal Exp'.

### createDictLiteralPart

    DictLiteralPart createDictLiteralPart()

  Returns a new object of class 'Dict Literal Part'.

  Returns:
    a new object of class 'Dict Literal Part'.

### createDictionaryType

    DictionaryType createDictionaryType()

  Returns a new object of class 'Dictionary Type'.

  Returns:
    a new object of class 'Dictionary Type'.

### createForExp

    ForExp createForExp()

  Returns a new object of class 'For Exp'.

  Returns:
    a new object of class 'For Exp'.

### createImperativeIterateExp

    ImperativeIterateExp createImperativeIterateExp()

  Returns a new object of class 'Imperative Iterate Exp'.

  Returns:
    a new object of class 'Imperative Iterate Exp'.

### createInstantiationExp

    InstantiationExp createInstantiationExp()

  Returns a new object of class 'Instantiation Exp'.

  Returns:
    a new object of class 'Instantiation Exp'.

### createListType

    ListType createListType()

  Returns a new object of class 'List Type'.

  Returns:
    a new object of class 'List Type'.

### createLogExp

    LogExp createLogExp()

  Returns a new object of class 'Log Exp'.

  Returns:
    a new object of class 'Log Exp'.

### createOrderedTupleLiteralExp

    OrderedTupleLiteralExp createOrderedTupleLiteralExp()

  Returns a new object of class 'Ordered Tuple Literal Exp'.

  Returns:
    a new object of class 'Ordered Tuple Literal Exp'.

### createOrderedTupleLiteralPart

    OrderedTupleLiteralPart createOrderedTupleLiteralPart()

  Returns a new object of class 'Ordered Tuple Literal Part'.

  Returns:
    a new object of class 'Ordered Tuple Literal Part'.

### createOrderedTupleType

    OrderedTupleType createOrderedTupleType()

  Returns a new object of class 'Ordered Tuple Type'.

  Returns:
    a new object of class 'Ordered Tuple Type'.

### createRaiseExp

    RaiseExp createRaiseExp()

  Returns a new object of class 'Raise Exp'.

  Returns:
    a new object of class 'Raise Exp'.

### createReturnExp

    ReturnExp createReturnExp()

  Returns a new object of class 'Return Exp'.

  Returns:
    a new object of class 'Return Exp'.

### createSwitchExp

    SwitchExp createSwitchExp()

  Returns a new object of class 'Switch Exp'.

  Returns:
    a new object of class 'Switch Exp'.

### createTemplateParameterType

    TemplateParameterType createTemplateParameterType()

  Returns a new object of class 'Template Parameter Type'.

  Returns:
    a new object of class 'Template Parameter Type'.

### createTryExp

    TryExp createTryExp()

  Returns a new object of class 'Try Exp'.

  Returns:
    a new object of class 'Try Exp'.

### createTypedef

    Typedef createTypedef()

  Returns a new object of class 'Typedef'.

  Returns:
    a new object of class 'Typedef'.

### createUnlinkExp

    UnlinkExp createUnlinkExp()

  Returns a new object of class 'Unlink Exp'.

  Returns:
    a new object of class 'Unlink Exp'.

### createUnpackExp

    UnpackExp createUnpackExp()

  Returns a new object of class 'Unpack Exp'.

  Returns:
    a new object of class 'Unpack Exp'.

### createVariableInitExp

    VariableInitExp createVariableInitExp()

  Returns a new object of class 'Variable Init Exp'.

  Returns:
    a new object of class 'Variable Init Exp'.

### createWhileExp

    WhileExp createWhileExp()

  Returns a new object of class 'While Exp'.

  Returns:
    a new object of class 'While Exp'.

### getImperativeOCLPackage

    ImperativeOCLPackage getImperativeOCLPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD